public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/clutter/
Date: Sun, 14 May 2017 09:56:16 +0000 (UTC)	[thread overview]
Message-ID: <1494755733.3cc791ce5d3f7f66a0e4e231c70f4450a23d276c.leio@gentoo> (raw)

commit:     3cc791ce5d3f7f66a0e4e231c70f4450a23d276c
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun May 14 09:54:38 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun May 14 09:55:33 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cc791ce

media-libs/clutter: bump to 1.26.2

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 media-libs/clutter/Manifest              |   1 +
 media-libs/clutter/clutter-1.26.2.ebuild | 106 +++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/media-libs/clutter/Manifest b/media-libs/clutter/Manifest
index 5fdcbb9e3dd..ce62776549e 100644
--- a/media-libs/clutter/Manifest
+++ b/media-libs/clutter/Manifest
@@ -1 +1,2 @@
 DIST clutter-1.26.0.tar.xz 5378576 SHA256 67514e7824b3feb4723164084b36d6ce1ae41cb3a9897e9f1a56c8334993ce06 SHA512 86284152dd07bde1513e4a005cb4596ea5bb1ff88cc009e12bb6f550e01a5c9252e2d84dbebb6778458ba5352f1aaba30233576a9aba3d821c38f2fcb30a9a4d WHIRLPOOL acfdd3a7ceff43fddd605211bc0dda4a0055ef648c88eff6ae5133b58027df2c914c9f2a767b64ede209024361340440dc4f48748cbbdd32d1097d6c6ccc0805
+DIST clutter-1.26.2.tar.xz 5353736 SHA256 e7233314983055e9018f94f56882e29e7fc34d8d35de030789fdcd9b2d0e2e56 SHA512 c8008a1a1f111313d9abaff8d4415f112ddc32a02e08845f3735d33bb25b72b082f133daba06749bb9595eaf1ba83b308d30a413fbbe8dcdc1afdd7077a30937 WHIRLPOOL dd703b5c151bb00560f0a928bdf1dc15f9719778273aec70a6955a2309fa92727a2dd388ca52f77212196fe40187b3ecc9ec53813d7c94e3eb77c7b80b3ba894

diff --git a/media-libs/clutter/clutter-1.26.2.ebuild b/media-libs/clutter/clutter-1.26.2.ebuild
new file mode 100644
index 00000000000..bdc8c7394f7
--- /dev/null
+++ b/media-libs/clutter/clutter-1.26.2.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 virtualx
+
+HOMEPAGE="https://wiki.gnome.org/Projects/Clutter"
+DESCRIPTION="Clutter is a library for creating graphical user interfaces"
+
+LICENSE="LGPL-2.1+ FDL-1.1+"
+SLOT="1.0"
+
+IUSE="aqua debug doc egl gtk +introspection test wayland X"
+REQUIRED_USE="
+	|| ( aqua wayland X )
+	wayland? ( egl )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+# NOTE: glx flavour uses libdrm + >=mesa-7.3
+# >=libX11-1.3.1 needed for X Generic Event support
+# do not depend on tslib, it does not build and is disabled by default upstream
+RDEPEND="
+	>=dev-libs/glib-2.44.0:2
+	>=dev-libs/atk-2.5.3[introspection?]
+	>=dev-libs/json-glib-0.12[introspection?]
+	>=media-libs/cogl-1.21.2:1.0=[introspection?,pango,wayland?]
+	>=x11-libs/cairo-1.14:=[aqua?,glib]
+	>=x11-libs/pango-1.30[introspection?]
+
+	virtual/opengl
+	x11-libs/libdrm:=
+
+	egl? (
+		>=dev-libs/libinput-0.19.0
+		media-libs/cogl[gles2,kms]
+		>=virtual/libgudev-136
+		x11-libs/libxkbcommon
+	)
+	gtk? ( >=x11-libs/gtk+-3.22.6:3[aqua?] )
+	introspection? ( >=dev-libs/gobject-introspection-1.39:= )
+	X? (
+		media-libs/fontconfig
+		>=x11-libs/libX11-1.3.1
+		x11-libs/libXext
+		x11-libs/libXdamage
+		x11-proto/inputproto
+		>=x11-libs/libXi-1.3
+		>=x11-libs/libXcomposite-0.4 )
+	wayland? (
+		dev-libs/wayland
+		x11-libs/gdk-pixbuf:2 )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.20
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+	doc? (
+		>=dev-util/gtk-doc-1.20
+		>=app-text/docbook-sgml-utils-0.6.14[jadetex]
+		dev-libs/libxslt )
+	test? ( x11-libs/gdk-pixbuf )
+"
+
+src_prepare() {
+	# We only need conformance tests, the rest are useless for us
+	sed -e 's/^\(SUBDIRS =\).*/\1 accessibility conform/g' \
+		-i tests/Makefile.am || die "am tests sed failed"
+	sed -e 's/^\(SUBDIRS =\)[^\]*/\1  accessibility conform/g' \
+		-i tests/Makefile.in || die "in tests sed failed"
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# XXX: Conformance test suite (and clutter itself) does not work under Xvfb
+	# (GLX error blabla)
+	# XXX: coverage disabled for now
+	# XXX: What about cex100/win32 backends?
+	gnome2_src_configure \
+		--disable-maintainer-flags \
+		--disable-mir-backend \
+		--disable-gcov \
+		--disable-cex100-backend \
+		--disable-win32-backend \
+		--disable-tslib-input \
+		$(use_enable aqua quartz-backend) \
+		$(usex debug --enable-debug=yes --enable-debug=minimum) \
+		$(use_enable doc docs) \
+		$(use_enable egl egl-backend) \
+		$(use_enable egl evdev-input) \
+		$(use_enable gtk gdk-backend) \
+		$(use_enable introspection) \
+		$(use_enable test gdk-pixbuf) \
+		$(use_enable wayland wayland-backend) \
+		$(use_enable wayland wayland-compositor) \
+		$(use_enable X xinput) \
+		$(use_enable X x11-backend)
+}
+
+src_test() {
+	virtx emake check -C tests/conform
+}


             reply	other threads:[~2017-05-14  9:56 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-14  9:56 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-02 16:18 [gentoo-commits] repo/gentoo:master commit in: media-libs/clutter/ Sam James
2023-01-13 19:03 Arthur Zamarin
2022-10-31  2:56 Matt Turner
2022-06-23 20:12 David Seifert
2021-11-23  1:25 Yixun Lan
2021-03-04  0:23 Sam James
2020-04-20 20:42 Mart Raudsepp
2020-03-13 12:31 Mart Raudsepp
2020-01-28  9:39 Mart Raudsepp
2020-01-27  9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2020-01-04 13:04 Mart Raudsepp
2019-01-18 21:37 Mart Raudsepp
2018-04-28  0:52 Matt Turner
2017-07-18 19:14 Alexis Ballier
2017-05-20  4:59 Mart Raudsepp
2017-05-16  8:01 Agostino Sarubbo
2017-05-15 14:17 Agostino Sarubbo
2017-04-02 13:03 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1494755733.3cc791ce5d3f7f66a0e4e231c70f4450a23d276c.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox